function [y,m] = digitaldelay(x,n,alpha,n0)
% implements y(n) = x(n) + alpha*y(n-n0)
% -------------------------
% [y,m] = digitaldelay(x,n,alpha,n0)
%
m = n; % no change in time axis
y = zeros(size(n)); % preallocate the output
y(1:n0) = x(1:n0); % first n0 output samples
start = n0+1; % start loop *after* the n0'th sample
for index=start:length(n)
   y(index) = x(index) + alpha*y(index-n0);
end 