function [X] = dtft( x, n, omega )
% Computes the DTFT
% X = dtft( x, n, omega )
% where X = DTFT at each value of omega
%       x = samples of a discrete-time signal
%       n = time indices for the signal
%       omega = vector of frequency samples

V = exp( -j*n'*omega );  % the V matrix
X = x*V; % the DTFT